### Hierarchy

- Hud

## Index

### Constructors

- constructor

### Accessors

- CursorPosition
- CursorSprite
- IsRadarVisible
- IsVisible
- RadarZoom

### Methods

- hideComponentThisFrame
- isComponentActive
- showComponentThisFrame
- showCursorThisFrame

## Constructors

### constructor

- new Hud(): Hud

- #### Returns Hud

## Accessors

### Static CursorPosition

- set CursorPosition(position: Point): void

- - Defined in ui/Hud.ts:21

  #### Parameters

  - ##### position: Point

  #### Returns void

### Static CursorSprite

- get CursorSprite(): CursorSprite
- set CursorSprite(sprite: CursorSprite): void

- - Defined in ui/Hud.ts:25

  #### Returns CursorSprite

- - Defined in ui/Hud.ts:29

  #### Parameters

  - ##### sprite: CursorSprite

  #### Returns void

### Static IsRadarVisible

- get IsRadarVisible(): boolean
- set IsRadarVisible(toggle: boolean): void

- - Defined in ui/Hud.ts:41

  #### Returns boolean

- - Defined in ui/Hud.ts:45

  #### Parameters

  - ##### toggle: boolean

  #### Returns void

### Static IsVisible

- get IsVisible(): boolean
- set IsVisible(toggle: boolean): void

- - Defined in ui/Hud.ts:33

  #### Returns boolean

- - Defined in ui/Hud.ts:37

  #### Parameters

  - ##### toggle: boolean

  #### Returns void

### Static RadarZoom

- set RadarZoom(zoomLevel: number): void

- - Defined in ui/Hud.ts:49

  #### Parameters

  - ##### zoomLevel: number

  #### Returns void

## Methods

### Static hideComponentThisFrame

- hideComponentThisFrame(component: HudComponent): void

- - Defined in ui/Hud.ts:13

  #### Parameters

  - ##### component: HudComponent

  #### Returns void

### Static isComponentActive

- isComponentActive(component: HudComponent): boolean

- - Defined in ui/Hud.ts:5

  #### Parameters

  - ##### component: HudComponent

  #### Returns boolean

### Static showComponentThisFrame

- showComponentThisFrame(component: HudComponent): void

- - Defined in ui/Hud.ts:9

  #### Parameters

  - ##### component: HudComponent

  #### Returns void

### Static showCursorThisFrame

- showCursorThisFrame(): void

- - Defined in ui/Hud.ts:17

  #### Returns void

Generated using TypeDoc